osgUtil::TransformAttributeFunctor Class Reference

`#include <TransformAttributeFunctor>`

Inheritance diagram for osgUtil::TransformAttributeFunctor:

## Public Member Functions

| TransformAttributeFunctor (const osg::Matrix &m)
virtual | ~TransformAttributeFunctor ()
virtual void | apply (osg::Drawable::AttributeType type, unsigned int count, osg::Vec3 *begin)
virtual void | apply (osg::Drawable::AttributeType type, unsigned int count, osg::Vec3d *begin)
Public Member Functions inherited from osg::Drawable::AttributeFunctor
virtual | ~AttributeFunctor ()
virtual void | apply (AttributeType, unsigned int, GLbyte *)
virtual void | apply (AttributeType, unsigned int, GLshort *)
virtual void | apply (AttributeType, unsigned int, GLint *)
virtual void | apply (AttributeType, unsigned int, GLubyte *)
virtual void | apply (AttributeType, unsigned int, GLushort *)
virtual void | apply (AttributeType, unsigned int, GLuint *)
virtual void | apply (AttributeType, unsigned int, float *)
virtual void | apply (AttributeType, unsigned int, Vec2 *)
virtual void | apply (AttributeType, unsigned int, Vec4 *)
virtual void | apply (AttributeType, unsigned int, Vec4ub *)
virtual void | apply (AttributeType, unsigned int, double *)
virtual void | apply (AttributeType, unsigned int, Vec2d *)
virtual void | apply (AttributeType, unsigned int, Vec4d *)

## Public Attributes

osg::Matrix | _m
osg::Matrix | _im

## Detailed Description

Functor for transforming a drawable's vertex and normal attributes by specified matrix. typically used for flattening transform down onto drawable leaves.

## Constructor & Destructor Documentation

## TransformAttributeFunctor()

osgUtil::TransformAttributeFunctor::TransformAttributeFunctor | ( | const osg::Matrix & | m | ) |

Construct a functor to transform a drawable's vertex and normal attributes by specified matrix.

## ~TransformAttributeFunctor()

virtual osgUtil::TransformAttributeFunctor::~TransformAttributeFunctor | ( |  | ) |

virtual

## Member Function Documentation

## apply() [1/2]

virtual void osgUtil::TransformAttributeFunctor::apply | ( | osg::Drawable::AttributeType | type,
|  | unsigned int | count,
|  | osg::Vec3 * | begin )

virtual

Do the work of transforming vertex and normal attributes.

Reimplemented from osg::Drawable::AttributeFunctor.

## apply() [2/2]

virtual void osgUtil::TransformAttributeFunctor::apply | ( | osg::Drawable::AttributeType | type,
|  | unsigned int | count,
|  | osg::Vec3d * | begin )

virtual

Reimplemented from osg::Drawable::AttributeFunctor.

## Member Data Documentation

## _im

osg::Matrix osgUtil::TransformAttributeFunctor::_im

## _m

osg::Matrix osgUtil::TransformAttributeFunctor::_m

The documentation for this class was generated from the following file:

- TransformAttributeFunctor